Questão Melhor prática para atualizações wordpress


Estou usando o Ubuntu Server 14.04.2 LTS e hospedando o wordpress nele. Eu instalei a partir dos pacotes via apt-get.

Agora o wordpress reclama quase todos os dias sobre as atualizações disponíveis por e-mail e que uma atualização automática falhou. Tentando atualizá-lo a partir do painel do WordPress também falha.

Então, minha pergunta geral é: qual é a melhor prática para atualizar o wordpress no Ubuntu?

  1. Indo apenas com os pacotes do Ubuntu. Se houver algum problema de segurança com a versão do Ubuntu, será corrigido automaticamente através das atualizações de segurança diárias? Se sim, como alguém pode desabilitar os e-mails de atualização irritantes?

  2. Indo com o wordpress atualiza diretamente. Além de fazer esse trabalho dentro do Ubuntu, isso é recomendado? O que acontece, se eu realizei atualizações via wordpress diretamente, mas agora vem e atualizo do gerenciador de pacotes? Será que isso provavelmente fará o downgrade do meu wordpress? Será que vai quebrar o pacote atualizado?

  3. Indo com uma instalação de wordpress "nativo". Esquecendo os pacotes wordpress do ubuntu e instale o wordpress via tar.gz ou o que for.

Para ser claro: não estou atrás dos mais recentes recursos do wordpress e plugins sofisticados, mas depois de uma versão estável e gerenciada pela segurança.

Alguma recomendação?


2
2018-05-09 09:24


origem




Respostas:


Você poderia escolher a primeira ou a terceira opção, mas a sua opção do meio não é totalmente limpa.

  1. Apenas com os pacotes do Ubuntu

Se você fizer isso, você depende do Ubuntu para atualizações de segurança, em vez de obtê-los do Wordpress. A vantagem disso é que você se beneficiará do trabalho que o Ubuntu (bem, Debian) fez para que o Wordpress se integre bem ao seu sistema operacional e será fácil de configurar. Mas a desvantagem é que você ficará em versões mais antigas.

Quanto ao suporte de segurança, o pacote wordpress está em "universo", o que significa que o Ubuntu não promete dar suporte oficial à segurança. Isso também significa que ele é importado com relativamente poucas mudanças dos repositórios do Debian, então, em última análise, o suporte de segurança dependerá do Debian e da capacidade do Ubuntu de migrar através de quaisquer correções de bugs importantes. Se a sua instalação do PHP e do MySQL estiver configurada de maneira segura em geral, isso provavelmente ficará bem.

O incômodo que você recebe sobre atualizações provavelmente seria considerado um bug pelo Debian e / ou Ubuntu, mas eles não podem / não vão consertá-lo, porque apenas os problemas relacionados à segurança são importantes o suficiente para serem corrigidos em uma versão existente. Então, em outras palavras, pode ser corrigido em uma versão futura do Ubuntu, quem sabe.

  1. Indo com o wordpress atualiza diretamente.

Você não poderá fazer isso funcionar corretamente se estiver usando os pacotes de wordpress do Ubuntu. Se você fez, como você disse, uma atualização do Ubuntu iria enxugar e potencialmente fazer o downgrade de todas as alterações que você fez. A modificação de arquivos instalados por pacotes do Ubuntu não é recomendada na maioria dos casos.

  1. Indo com uma instalação de wordpress "nativo".

Esta seria minha recomendação neste caso, pois você poderá atualizá-la em sua própria agenda e receber atualizações diretamente do Wordpress.


2
2018-06-12 03:31





Na minha experiência, o # 3 servirá ao seu propósito, já que o atualizador nativo do WordPress funciona bem. Como você já descobriu, também está em conflito com o pacote do Ubuntu.

No LTS, não espere patches além de estabilidade e segurança. O pacote 14.04.1 Wordpress está na versão 3.8.2 + dfsg-1ubuntu0.1. Upstream está em 4.2.2. Não parece haver um backport Vivid disponível.

Aqui estão as minhas notas de um rápido 4.4.2 instalação teste Wordpress.org em 14.04.1:

sudo apt-get install apache2 libapache2-mod-php5 php5-mysql mysql-server ## write down password for mysql root user
sudo service apache2 reload
wget https://wordpress.org/latest.tar.gz
tar xzvf latest.tar.gz
sudo mv wordpress/ /var/www/html/
sudo chown -R www-data.root /var/www/html/wordpress/

mysql -u root -p ##enter password at prompt
create database my_wordpress;
create user 'my_wordpress'@'localhost' identified by 'my_password';
grant all on my_wordpress.* to 'my_wordpress'@'localhost';
exit

Visite localhost / wordpress no seu navegador e siga o assistente para concluir a configuração. Um host virtual seria uma boa ideia.


1
2018-06-12 02:53